Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Class DefaultUserInfoImpl

    java.lang.Object
      weblogic.security.acl.DefaultUserInfoImpl

All Implemented Interfaces:
  Serializable, Principal, UserInfo

Direct Known Subclasses:
  SSLUserInfo, T3User

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by JAAS subject/principal and the Pluggable Security Infrastructure.

    public class DefaultUserInfoImpl

extends Object
implements UserInfo, Serializable

DefaultUserInfoImpl is the default implementation of the UserInfo interface. UserInfo objects are created by a RealmProxy and passed to the T3Client constructor. The WebLogic Server uses a UserInfo object to allow the corresponding realm to retrieve the corresponding user and checks it against the provided information.

DefaultUserInfoImpl accepts as credentials password strings and/or a single X509 certificate or a chain of them. If the explicitly provided username is null, the user's name is extracted from the certificate.

If you inherit from this class, be sure to implement the hashCode and equals methods correctly.

See Also:
  Serialized Form

Field Summary
`protected Vector` | `certificates` Deprecated.
`protected String` | `id` Deprecated.
`protected String` | `password` Deprecated.
`protected String` | `realmName` Deprecated.

Constructor Summary
`DefaultUserInfoImpl()` Deprecated. Constructs a DefaultUserInfoImpl.
`DefaultUserInfoImpl(String name, Object credential)` Deprecated. Create a user using the default realm.
`DefaultUserInfoImpl(String name, Object credential, String realmName)` Deprecated.

Method Summary
`boolean` | `equals(Object obj)` Deprecated.
`boolean` | `equalsInAllButName(DefaultUserInfoImpl that)` Deprecated. Ensure that the non-name components of a UserInfo object match those of another.
`Vector` | `getCertificates()` Deprecated. Deprecated in WebLogic Server 7.0.
`String` | `getName()` Deprecated. Gets the name associated with a DefaultUserInfo.
`String` | `getPassword()` Deprecated.
`String` | `getRealmName()` Deprecated. Gets the name of the realm associated with a DefaultUserInfo.
`boolean` | `hasCertificates()` Deprecated.
`int` | `hashCode()` Deprecated.
`boolean` | `hasPassword()` Deprecated.
`protected void` | `setCredential(Object c)` Deprecated.
`void` | `setName(String newName)` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### realmName

    protected String realmName

  Deprecated.

### id

    protected String id

  Deprecated.

### password

    protected transient String password

  Deprecated.

### certificates

    protected Vector certificates

  Deprecated.

Constructor Detail

### DefaultUserInfoImpl

    public DefaultUserInfoImpl()

  Deprecated.
  Constructs a DefaultUserInfoImpl. For serialization only.

### DefaultUserInfoImpl

    public DefaultUserInfoImpl(String name,
                               Object credential)

  Deprecated.
  Create a user using the default realm.

### DefaultUserInfoImpl

    public DefaultUserInfoImpl(String name,
                               Object credential,
                               String realmName)

  Deprecated.

Method Detail

### getRealmName

    public String getRealmName()

  Deprecated.
  Gets the name of the realm associated with a DefaultUserInfo.

  Specified by:
    `getRealmName` in interface `UserInfo`
  Returns:
    Name of realm as a string

### getName

    public String getName()

  Deprecated.
  Gets the name associated with a DefaultUserInfo.

  Specified by:
    `getName` in interface `Principal`
  Specified by:
    `getName` in interface `UserInfo`
  Returns:
    Name of this user

### setName

    public void setName(String newName)

  Deprecated.

### toString

    public String toString()

  Deprecated.
  Specified by:
    `toString` in interface `Principal`
  Overrides:
    `toString` in class `Object`

### setCredential

    protected void setCredential(Object c)

  Deprecated.

### hasPassword

    public boolean hasPassword()

  Deprecated.

### getPassword

    public String getPassword()

  Deprecated.

### hasCertificates

    public boolean hasCertificates()

  Deprecated.

### getCertificates

    public Vector getCertificates()

  Deprecated. Deprecated in WebLogic Server 7.0.

### hashCode

    public int hashCode()

  Deprecated.
  Specified by:
    `hashCode` in interface `Principal`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Deprecated.
  Specified by:
    `equals` in interface `Principal`
  Overrides:
    `equals` in class `Object`

### equalsInAllButName

    public boolean equalsInAllButName(DefaultUserInfoImpl that)

  Deprecated.
  Ensure that the non-name components of a UserInfo object match those of another.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD